jQuery(document).ready(function() {

    if( jQuery('.related-portfolios-h4').length ) {
        disappearScroll('.related-portfolios-h4');
    }

    if( jQuery('.related-products-h4').length ) {
        disappearScroll('.related-products-h4');
    }

});

function closeArrowArchive() {

    jQuery('.archive-arrow-close').on('click',function() {
        jQuery('.archive-arrow').animate({'width':'0','opacity':'0'}).fadeOut(500, function() { });
    });

}

// It makes the 'desktop' arrows disappearing when reaching the block given as parameter
function disappearScroll( block ) {

    if( jQuery('.fixed-next-arrow').length || jQuery('.fixed-prev-arrow').length ) {

        if(jQuery('.fixed-next-arrow').length) {
            arrowP = jQuery('.fixed-next-arrow');
        } else {
            arrowP = jQuery('.fixed-prev-arrow');
        }

        jQuery( window ).on('scroll',function() {

            calculateDisappear( block, arrowP );

        });

        jQuery( window ).on('load',function() {

            calculateDisappear( block, arrowP );

        });

        jQuery( window ).on('resize',function() {

            calculateDisappear( block, arrowP );

        });
        
    }
    

}

function calculateDisappear( block, arrowP ) {

    var statusArrows = arrowP.css('display');

    var hArrow = Math.floor( ( jQuery(window).height() ) / 2);

    var hBlock = jQuery(block).offset().top - hArrow;

    if( ( statusArrows == 'block' ) && ( jQuery( window ).scrollTop() > hBlock ) ) {

        if( jQuery('.fixed-next-arrow').length ) jQuery('.fixed-next-arrow').fadeOut();
        if( jQuery('.fixed-prev-arrow').length ) jQuery('.fixed-prev-arrow').fadeOut();

    }

    if( ( statusArrows == 'none' ) && ( jQuery( window ).scrollTop() < hBlock ) ) {
        
        if( jQuery('.fixed-next-arrow').length ) jQuery('.fixed-next-arrow').fadeIn();
        if( jQuery('.fixed-prev-arrow').length ) jQuery('.fixed-prev-arrow').fadeIn();

    }

}